Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
GETElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

QueryBareMetal2ChassisOffering

QueryBareMetal2ChassisOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The chassis offering UUID.

    • nameStringRequired

      The name of the chassis offering.

    • descriptionStringRequired

      The detailed description of the chassis offering.

    • architectureStringRequired

      The CPU architecture.

    • cpuModelNameStringRequired

      The CPU model name.

    • cpuNumIntegerRequired

      The number of CPU cores.

    • memorySizeLongRequired

      The memory size.

    • bootModeStringRequired

      The boot mode.

    • stateStringRequired

      The state of the chassis offering.

    • createDateTimestampRequired

      The time when the chassis offering was created.

    • lastOpDateTimestampRequired

      The time when the chassis offering was last modified.

Endpoint

GET/zstack/v1/baremetal2/chassis/offerings

/zstack/v1/baremetal2/chassis/offerings

Operation ID

QueryBareMetal2ChassisOffering

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal2/chassis/offerings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "f64db447a42a4673a5b2a6aa6476725e", "name": "BM-8C-8G", "description": "This is bare metal instance offering.", "architecture": "x86_64", "cpuModelName": "Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz", "cpuNum": 8.0, "memorySize": 8.589934592E9, "bootMode": "UEFI", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history